Get Powertrain Status
Description
Retrieve the current status of powertrain components, including the engine, electric motor, and battery system.
Endpoint
GET https://api.pleos.ai/v1/vehicles/{vin}/powertrains
Request
curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/powertrains" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"
Header Params
| Parameter | Type | Description | Required |
|---|---|---|---|
| Authorization | string | Access token | Required |
| Brand | string | Vehicle brand (hyundai/kia/genesis) | Required |
Path Params
| Parameter | Type | Description | Required |
|---|---|---|---|
| vin | string | VIN | Required |
Response
Success
200
{
"data": {
"engine": {
"fuelLevel": 0
},
"batteries": [
{
"type": "main",
"remainRatio": 30.5
}
],
"distanceToEmpties": [
{
"type": "EV",
"value": "106",
"unit": "km"
}
],
"timestamp": "2025-09-01T00:10:00Z"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data field | Type | Description |
|---|---|---|
| engine | object | Engine information |
| └─ fuelLevel | number | Fuel level of internal combustion engine vehicles (unit: %, range: 0~100) - null: EV or FCEV vehicle |
| batteries | array | Battery information |
| └─ type | string | Battery type - main: EV battery |
| └─ remainRatio | integer | Remaining amount of high-voltage battery (unit: %, range: 0~100) |
| distanceToEmpties | array | Distance To Empties(DTE) |
| └─ type | string | Fuel type - ICE: Internal Combustion Engine - EV: Electric Vehicle - HEV: Hybrid - PHEV: Plug-in Hybrid - FCEV: Hydrogen Electric Vehicle - invalid: Collection error |
| └─ value | string | Value of DTE (range: 1~4095, invalid: collection error) |
| └─ unit | string | Unit of DTE (feet, km, meter, miles, invalid) |
| timestamp | string | Timestamp when data was transmitted from the vehicle (based on UTC+0) yyyy-MM-dd'T'HH:mm:ss'Z' |
Failure
4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]
For detailed explanations about error code when a request fails, refer to Error Code.